Get the value of a named attribute

- « XMLReader::fromUri

- XMLReader::getAttributeNo »

- PHP Manual
- XMLReader
- Get the value of a named attribute

# XMLReader::getAttribute

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::getAttribute — Get the value of a named attribute

### Description

public XMLReader::getAttribute(string `$name`): ?string

Returns the value of a named attribute or `null` if the attribute does not exist or not positioned on an element node.

### Parameters

`name`

  The name of the attribute.

### Return Values

The value of the attribute, or `null` if no attribute with the given `name` is found or not positioned on an element node.

### Changelog

Version | Description
--- | ---
8.0.0 | This function can no longer return `false`.

### See Also

- XMLReader::getAttributeNo() - Get the value of an attribute by index
- XMLReader::getAttributeNs() - Get the value of an attribute by localname and URI